{# read and display all flash messages #}
{% macro flashes() %}
    {% for label, messages in app.flashes %}
        {% for message in messages %}
            {{ _self.alert(message, label) }}
        {% endfor %}
    {% endfor %}
{% endmacro %}


{% macro alert(message, type = 'success') %}
    {% if message is iterable %}
        {% set text = message.text %}
        {% set title = message.title is defined ? message.title : null %}
        {% set hasicon = message.hasicon is defined ? message.hasicon : true %}
        {% set isDismissible = message.isDismissible is defined ? message.isDismissible : true %}
        {% set additionnal = null %}
        {% if message.link is defined %}
            {% set additionnal = '<a class="link-primary text-decoration-none" href="' ~ path(message.link.route) ~ '" > ' ~ message.link.text ~ '</a>' %}
        {% endif %}
        <twig:Alert type="{{ type }}" title="{{ title }}" message="{{ text }}" isDismissible="{{ isDismissible }}" hasicon="{{ hasicon }}">
        {{ additionnal|raw}}
        </twig:Alert>
    {% else %}
        <twig:Alert type="{{ type }}" message="{{ message }}" />
    {% endif %}
{% endmacro %}
